External Action Callback
curl --request POST \
--url https://{host}/payment/v1/payments/external-action \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"operationId": "<string>",
"transactionId": "<string>",
"amount": 1,
"eventType": "<string>",
"failureCause": "<string>"
}
'import requests
url = "https://{host}/payment/v1/payments/external-action"
payload = {
"operationId": "<string>",
"transactionId": "<string>",
"amount": 1,
"eventType": "<string>",
"failureCause": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
operationId: '<string>',
transactionId: '<string>',
amount: 1,
eventType: '<string>',
failureCause: '<string>'
})
};
fetch('https://{host}/payment/v1/payments/external-action', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"name": "<string>",
"message": "<string>",
"details": null
}External Action Callback
Used for updating the state of a transaction on the checkout flow.
POST
/
v1
/
payments
/
external-action
External Action Callback
Authorizations
JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
Body
application/jsontext/jsonapplication/*+json
Unique identifier of initiate payment operation
Required string length:
1 - 64External transaction id
Minimum string length:
1Amount
Required range:
x >= 0Event type
Minimum string length:
1Failure cause
Response
OK
The response is of type object.
Last modified on August 10, 2026
⌘I